Subject: Re: [TOOLS-DEVELOPMENT] Old agendas or new tools or....

From: Robert Sparks <[email-masked]>
Date: Fri, 27 May 2011 15:27:18 -0500

On May 27, 2011, at 2:41 PM, Pete Resnick wrote:

> So I was trying to remember what was on a ballot of a couple of documents on yesterday's agenda. So I went to https://datatracker.ietf.org/iesg/agenda/ only to realize that yesterday's agenda is gone. I thought https://datatracker.ietf.org/iesg/agenda/documents/ might have a way to look back, but that's only into the future. Then I thought, "OK, I know I had a comment on that document, and I think someone else had a discuss on it, and I know https://datatracker.ietf.org/iesg/discusses/ can bring up all outstanding discusses, so I'll go look there." Except that doesn't work because (a) it only looks for discusses, not comments, and (b) you can't look for things that *were* discusses, only things that are currently discusses (one of the documents had its discusses cleared already), and you can't look up discusses that are outstanding to a particular AD, only those particular to you.
> 
> So it seems my choices are (a) get my mind right and don't try to use the datatracker in ways that it does not now work, or (b) beg for help from either the tools people or the datatracker people. Here's what I'd like:
> 
> - Old datatracker agendas. Yeah, I know I've got the emailed agenda, and I know I've got the minutes, but they don't have nice clickable links to the documents or to the ballots.
Very hard problem unfortunately because the information kept won't actually let you reconstruct an agenda in the past, at least not accurately. That things get added/removed/deferred, even as a call is in progress,
is manageable with the forward-facing-in-time views. A very different kind of data needs to be kept for historic views.

One thing I've considered is laying down the information that would let us see what the old agenda pages looked like just at the moment the secretary rolls things forward (which you see now as the old agenda going away),
but again, it even that will be non-trivial.

Henrik - will this be significantly different under the new schema?

> 
> - Make something like https://datatracker.ietf.org/iesg/discusses/ that can list documents I've commented on, or can search for documents with a particular position, within certain date ranges, containing comments, by AD, etc.
The old tracker had something that might have gotten close to this, but only for your own discusses and comments.
You might go look at the "Ballot - Search Criterea" section of <https://datatracker.ietf.org/cgi-bin/idtracker.cgi> and see how close that gets to scratching the itch.

In any case, the most surefire way to get what you want is to come to the codesprint and make it happen :).

RjS

> 
> (I now see the temptation to DISCUSS documents instead of COMMENT on them; it's very easy to find documents you've put a DISCUSS on, not so much for COMMENT. I will continue to shout at this particular cloud and use COMMENT.)
> 
> pr
> 
> -- 
> Pete Resnick<http://www.qualcomm.com/~presnick/>
> Qualcomm Incorporated - Direct phone: (858)651-4478, Fax: (858)651-1102
>